nand_read
Prev | Chapter 11. Internal Functions Provided | Next

## Name

nand_read — [MTD Interface] MTD compability function for nand_do_read_ecc

## Synopsis

`int nand_read (` | struct mtd_info * | mtd,
| loff_t | from,
| size_t | len,
| size_t * | retlen,
| uint8_t * | buf`)`;

## Arguments

`mtd`

  MTD device structure

`from`

  offset to read from

`len`

  number of bytes to read

`retlen`

  pointer to variable to store the number of read bytes

`buf`

  the databuffer to put data

## Description

Get hold of the chip and call nand_do_read

Prev | Up | Next
nand_do_read_ops | Home | nand_read_oob_std